Bug 975571 - [abrt] mate-file-manager-1.6.1-4.fc18: _XAllocID: Process /usr/bin/caja was killed by signal 6 (SIGABRT)
[abrt] mate-file-manager-1.6.1-4.fc18: _XAllocID: Process /usr/bin/caja was k...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mate-file-manager (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:bd579339268c2f938b1e13c2800...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 15:45 EDT by pgaltieri
Modified: 2013-08-26 16:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 16:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.66 KB, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details
File: cgroup (133 bytes, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details
File: dso_list (7.85 KB, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details
File: environ (2.60 KB, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details
File: maps (23.03 KB, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details
File: open_fds (1.48 KB, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details
File: proc_pid_status (799 bytes, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details
File: xsession_errors (283 bytes, text/plain)
2013-06-18 15:45 EDT, pgaltieri
no flags Details

  None (edit)
Description pgaltieri 2013-06-18 15:45:20 EDT
Description of problem:
This happened just after I logged in after installing latest updates.

Version-Release number of selected component:
mate-file-manager-1.6.1-4.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        caja -n
core_backtrace: 
crash_function: _XAllocID
executable:     /usr/bin/caja
kernel:         3.9.5-201.fc18.i686.PAE
runlevel:       N 5
uid:            1000
var_log_messages: Jun 18 12:31:42 darkstar abrt[23921]: Saved core dump of pid 23886 (/usr/bin/caja) to /var/tmp/abrt/ccpp-2013-06-18-12:31:41-23886 (28569600 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _XAllocID at xcb_io.c:529
 #6 XCreateGC at CrGC.c:91
 #7 _gdk_x11_gc_new at gdkgc-x11.c:142
 #8 gdk_gc_new_with_values at gdkgc.c:134
 #10 gdk_gc_new at gdkgc.c:110
 #11 _gdk_drawable_get_scratch_gc at gdkdraw.c:1895
 #12 gdk_pixbuf_render_pixmap_and_mask_for_colormap at gdkpixbuf-render.c:310
 #13 get_pixmap_and_mask at gtkwindow.c:3186
 #14 gtk_window_realize_icon at gtkwindow.c:3322
 #15 gtk_window_realize at gtkwindow.c:4907
Comment 1 pgaltieri 2013-06-18 15:45:24 EDT
Created attachment 762612 [details]
File: backtrace
Comment 2 pgaltieri 2013-06-18 15:45:27 EDT
Created attachment 762613 [details]
File: cgroup
Comment 3 pgaltieri 2013-06-18 15:45:30 EDT
Created attachment 762614 [details]
File: dso_list
Comment 4 pgaltieri 2013-06-18 15:45:32 EDT
Created attachment 762615 [details]
File: environ
Comment 5 pgaltieri 2013-06-18 15:45:35 EDT
Created attachment 762616 [details]
File: limits
Comment 6 pgaltieri 2013-06-18 15:45:38 EDT
Created attachment 762617 [details]
File: maps
Comment 7 pgaltieri 2013-06-18 15:45:40 EDT
Created attachment 762618 [details]
File: open_fds
Comment 8 pgaltieri 2013-06-18 15:45:43 EDT
Created attachment 762619 [details]
File: proc_pid_status
Comment 9 pgaltieri 2013-06-18 15:45:46 EDT
Created attachment 762620 [details]
File: xsession_errors
Comment 10 pgaltieri 2013-06-19 14:11:00 EDT
It occurred as I was logging in

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        caja -n
core_backtrace: 
crash_function: _XAllocID
executable:     /usr/bin/caja
kernel:         3.9.5-201.fc18.i686.PAE
package:        mate-file-manager-1.6.1-4.fc18
reason:         Process /usr/bin/caja was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 11 Wolfgang Ulbrich 2013-07-08 09:29:14 EDT
Your LD_LIBRARY_PATH looks very wrong to me.
LD_LIBRARY_PATH=/usr/local/lib:/usr/local/lib64:/usr/local/lib:/usr/local/lib64::/opt/Adobe/Reader9/Reader/intellinux/lib:/home/pgaltieri/Source/VoIP/ptlib-2.10.1/lib_linux_x86_64/
It seem to miss the system libs, see environ attachment.
Just make sure caja is using system libs.
Try
ldd /usr/bin/caja
Comment 12 pgaltieri 2013-07-08 13:46:04 EDT
The LD_LIBRARY_PATH is perfectly valid.  It just tels the system to look first here and then in the system paths.  Here's the output of ldd /usr/bin/caja

        linux-gate.so.1 =>  (0xb7705000)
        libSM.so.6 => /lib/libSM.so.6 (0x4f8c1000)
        libICE.so.6 => /lib/libICE.so.6 (0x4f8cc000)
        libXrender.so.1 => /lib/libXrender.so.1 (0x467e5000)
        libXext.so.6 => /lib/libXext.so.6 (0x467d1000)
        libcaja-extension.so.1 => /lib/libcaja-extension.so.1 (0x45c05000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x4d74e000)
        libmate-desktop-2.so.17 => /lib/libmate-desktop-2.so.17 (0x48736000)
        libstartup-notification-1.so.0 => /lib/libstartup-notification-1.so.0 (0x4709f000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x4d6ef000)
        librt.so.1 => /lib/librt.so.1 (0x4d3ea000)
        libgailutil.so.18 => /lib/libgailutil.so.18 (0x48726000)
        libxml2.so.2 => /lib/libxml2.so.2 (0x44cab000)
        libunique-1.0.so.0 => /lib/libunique-1.0.so.0 (0x48717000)
        libgtk-x11-2.0.so.0 => /lib/libgtk-x11-2.0.so.0 (0x488d9000)
        libgdk-x11-2.0.so.0 => /lib/libgdk-x11-2.0.so.0 (0x48651000)
        libatk-1.0.so.0 => /lib/libatk-1.0.so.0 (0x4f82e000)
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x47cd1000)
        libpangoft2-1.0.so.0 => /lib/libpangoft2-1.0.so.0 (0x49a2e000)
        libpangocairo-1.0.so.0 => /lib/libpangocairo-1.0.so.0 (0x49a1f000)
        libgdk_pixbuf-2.0.so.0 => /lib/libgdk_pixbuf-2.0.so.0 (0x4822b000)
        libcairo.so.2 => /lib/libcairo.so.2 (0x468d8000)
        libpango-1.0.so.0 => /lib/libpango-1.0.so.0 (0x49d65000)
        libfreetype.so.6 => /usr/lib/freetype-freeworld/libfreetype.so.6 (0x4dad5000)
        libfontconfig.so.1 => /lib/libfontconfig.so.1 (0x4db89000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x4d6fd000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x4d4d4000)
        libX11.so.6 => /lib/libX11.so.6 (0x46696000)
        libexif.so.12 => /lib/libexif.so.12 (0x4f1bc000)
        libexempi.so.3 => /lib/libexempi.so.3 (0x49b00000)
        libselinux.so.1 => /lib/libselinux.so.1 (0x47b71000)
        libm.so.6 => /lib/libm.so.6 (0x4d3a8000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x4d385000)
        libc.so.6 => /lib/libc.so.6 (0x4d1cd000)
        libuuid.so.1 => /lib/libuuid.so.1 (0x4dda7000)
        libdl.so.2 => /lib/libdl.so.2 (0x4d3a1000)
        libXrandr.so.2 => /lib/libXrandr.so.2 (0x467f2000)
        libxcb-util.so.0 => /lib/libxcb-util.so.0 (0x47096000)
        libX11-xcb.so.1 => /lib/libX11-xcb.so.1 (0x46834000)
        libxcb.so.1 => /lib/libxcb.so.1 (0x46672000)
        /lib/ld-linux.so.2 (0x4d1aa000)
        libz.so.1 => /lib/libz.so.1 (0x4d3f5000)
        liblzma.so.5 => /lib/liblzma.so.5 (0x4dbc4000)
        libdbus-glib-1.so.2 => /lib/libdbus-glib-1.so.2 (0x48629000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x485dc000)
        libXfixes.so.3 => /lib/libXfixes.so.3 (0x46817000)
        libXinerama.so.1 => /lib/libXinerama.so.1 (0x467ff000)
        libXi.so.6 => /lib/libXi.so.6 (0x46805000)
        libXcursor.so.1 => /lib/libXcursor.so.1 (0x4681f000)
        libXcomposite.so.1 => /lib/libXcomposite.so.1 (0x46a4d000)
        libXdamage.so.1 => /lib/libXdamage.so.1 (0x468ca000)
        libffi.so.5 => /lib/libffi.so.5 (0x4d6f4000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x4d4b9000)
        libharfbuzz.so.0 => /lib/libharfbuzz.so.0 (0x497c4000)
        libpng15.so.15 => /lib/libpng15.so.15 (0x4daa5000)
        libpixman-1.so.0 => /lib/libpixman-1.so.0 (0x4f4f5000)
        libEGL.so.1 => /lib/libEGL.so.1 (0x46a2a000)
        libxcb-shm.so.0 => /lib/libxcb-shm.so.0 (0x46a08000)
        libxcb-render.so.0 => /lib/libxcb-render.so.0 (0x46a1e000)
        libGL.so.1 => /lib/libGL.so.1 (0x46854000)
        libexpat.so.1 => /lib/libexpat.so.1 (0x4da7a000)
        libstdc++.so.6 => /lib/libstdc++.so.6 (0x4f1fc000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x4d40e000)
        libpcre.so.1 => /lib/libpcre.so.1 (0x47b0b000)
        libXau.so.6 => /lib/libXau.so.6 (0x4d779000)
        libgraphite2.so.2.0.0 => /lib/libgraphite2.so.2.0.0 (0x4f0a0000)
        libicule.so.49 => /lib/libicule.so.49 (0x49860000)
        libicuuc.so.49 => /lib/libicuuc.so.49 (0x498a4000)
        libicudata.so.49 => /lib/libicudata.so.49 (0x4df7c000)
        libxcb-dri2.so.0 => /lib/libxcb-dri2.so.0 (0x468d0000)
        libxcb-xfixes.so.0 => /lib/libxcb-xfixes.so.0 (0x46a0e000)
        libxcb-shape.so.0 => /lib/libxcb-shape.so.0 (0x46a18000)
        libwayland-client.so.0 => /lib/libwayland-client.so.0 (0x4f81c000)
        libwayland-server.so.0 => /lib/libwayland-server.so.0 (0x4f4dd000)
        libgbm.so.1 => /lib/libgbm.so.1 (0x44fed000)
        libglapi.so.0 => /lib/libglapi.so.0 (0x44e7c000)
        libudev.so.1 => /lib/libudev.so.1 (0x4a0da000)
        libdrm.so.2 => /lib/libdrm.so.2 (0x47ea6000)
        libxcb-glx.so.0 => /lib/libxcb-glx.so.0 (0x46839000)
        libXxf86vm.so.1 => /lib/libXxf86vm.so.1 (0x4682c000)

As you can see caja picks up the system libraries just fine.  If the dynamic linker only used what was in $LD_LIBRARY_PATH nothing would work.
Comment 13 Wolfgang Ulbrich 2013-08-09 18:54:18 EDT
Does the issue still exists with latest mate-file-manager-1.6.2.x?
Comment 14 pgaltieri 2013-08-11 18:33:26 EDT
I have not seen it crash with the latest version
Comment 15 Wolfgang Ulbrich 2013-08-26 16:33:33 EDT
Ok, feel free to report here if it isn't fixed.

Note You need to log in before you can comment on or make changes to this bug.